#![recursion_limit = "256"]

pub mod core;

// 自动补全
pub mod completion;

// 定义跳转
pub mod definition;

// 悬停提示
pub mod hover;

// 诊断
pub mod diagnostics;

// 格式化
pub mod format;

// 基础工具
pub mod utils;

pub mod server;
pub mod sources;
pub mod support;

// 自定义发送请求
pub mod custom_request;

// 测试模块
pub mod test;